Description

I am very new to foreman and I want to install it in an offline environment.

I thought the docker-compose file found in the repository could be a great solution for that (

https://github.com/theforeman/foreman/blob/develop/docker-compose.yml)

First I tried to use it an online environment but I get many errors which I can even start to resolve.

1) Did anyone know how to use the docker-compose file to setup foreman ?

2) Is there a guide for setting foreman in an offline environment ? (Also updating it and installing plugins)

History

#1 - 07/02/2022 09:09 AM - Matt Darcy

- Priority changed from Immediate to Low

this is not a bug and it's not an immediate priority - this is a question that should probably be asked to community support or raised as a roadmap /

feature request

#2 - 07/05/2022 12:00 PM - Ewoud Kohl van Wijngaarden

On https://community.theforeman.org/ there are some threads about this. I don't think it's within the installer's scope to use this.

2) Is there a guide for setting foreman in an offline environment ? (Also updating it and installing plugins)

 Not really, but you mostly need to mirror the yum repositories and consume those. Then the installer should work.

#3 - 01/03/2024 04:44 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Rejected
